/***********************************************************
*  Aquarius II -- McDuffins Underwater Missions            *
*----------------------------------------------------------*
*  1995 Artsoft Development                               *
*        Holger Schemel                                    *
*        33659 Bielefeld-Senne                             *
*        Telefon: (0521) 493245                            *
*        eMail: aeglos@valinor.owl.de                      *
*               aeglos@uni-paderborn.de                    *
*               q99492@pbhrzx.uni-paderborn.de             *
*----------------------------------------------------------*
*  editor.c                                                *
*                                                          *
*  Letzte Aenderung: 15.06.1995                            *
***********************************************************/

#include "editor.h"
#include "screens.h"
#include "game.h"
#include "tools.h"

int AquariusGEls[] =
{
  8,5,7,6,2,3,0,4,
  8,5,7,6,2,3,0,4,
  8,5,7,6,2,3,0,4
};

void DrawLevelEd()
{
  DrawLevel();

  XFillRectangle(display,pix[PIX_DB_DOOR],gc,0,0,DXSIZE,DYSIZE);

  for(i=0;i<24;i++)
  {
    j=AquariusGEls[i];
    XCopyArea(display,pix[PIX_BACK],pix[PIX_DB_DOOR],gc,
	      SX+j*16,SY+ELY, 16,(j==2?12:16), 2+(i%3)*32+8,2+(i/3)*32+8);
  }

  XCopyArea(display,pix[PIX_DOOR],pix[PIX_DB_DOOR],gc,202,50, 96,18, 2,260);
  OpenDoor(0);
}

void LevelEd(int mx, int my, int button)
{
  static int el=9;
  static int count=-1, cntx=-1, cnty=-1;
  static buttondownpos=0;

  if (!button)
    buttondownpos=0;
  else if (!buttondownpos)
  {
    if (mx<DX)
      buttondownpos=1;
    else if (my<DY+262)
      buttondownpos=2;
    else if (my<DY+276)
      buttondownpos=3;
  }
  else
  {
    if (mx<DX)
      { if (buttondownpos!=1) return; }
    else if (my<DY+262)
      { if (buttondownpos!=2) return; }
    else if (my<DY+276)
      { if (buttondownpos!=3) return; }
  }
    
  x=(mx-SX)/16; 
  y=(my-SY)/16; 
  DO=1;
  if (button && mx>DX && my>DY+260 && my<DY+276)
  {
    if (mx>DX+2 && mx<DX+46)
    {
      if (AreYouSure("Are you sure to clear this level ?",3))
      {
	for(x=0;x<FIELDX;x++) 
	  for(y=0;y<FIELDY;y++) 
	    Ray[x][y]=0;
	ClearWindow(); 
	BackToFront();
      }
    }
    if (mx>DX+52 && mx<DX+96)
    {
      for(k=0,y=0;y<FIELDY;y++) 
	for(x=0;x<FIELDX;x++)
	  if (Ray[x][y]==3) 
	    k=1;
      if (!k)
      {
	AreYouSure("No Level without Gregor Mc Duffin please !",0);
	CloseDoor(0);
	OpenDoor(1);
	Delay(3000000);
	CloseDoor(1);
	OpenDoor(0);
      }
      else
      {
	if (!AreYouSure("Save this level and kill the old ?",-3))
	{
	  game_status=MAINMENU;
	  DrawMainMenu();
	  BackToFront();
	  return;
	}
	else
	{
	  for(x=0;x<FIELDX;x++)
	    for(y=0;y<FIELDY;y++) 
	      Ur[x][y]=Ray[x][y];
	  SaveLevel(level);

	  game_status=MAINMENU;
	  DrawMainMenu();
	  BackToFront();
	  return;
	}
      }
    }
  }
  else if (button && mx>DX && mx<DX+98)
  {
    static int AquariusEls[] =
    {
      2,3,4,5,6,7,9,11,
      2,3,4,5,6,7,9,11,
      2,3,4,5,6,7,9,11
    };

    if (my>DY && my<DY+258)
    {
      x=(mx-DX-1)/32; 
      y=(my-DY-1)/32;

      el = AquariusEls[3*y+x];

      Delay(10000);
    }
  }
  else if ((OK=button) && mx>=SX && mx<SX+SXSIZE && my>=SY && my<SY+SYSIZE)
  {
    EL=Ray[x][y];
    if (OK==2 || OK==3)
    {
      Ray[x][y]=0;
      DrawGraphic(x,y,-1);
      BackToFront();
      Delay(10000);
    }
    else
    {
      if (x==cntx && y==cnty && count>Counter())
      {
	Delay(10000);
	return;
      }

      EL=el;

      if (EL==3)	/* Figur bitte nur einmal! */
      {
	int x,y;

	for(x=0;x<FIELDX;x++) for(y=0;y<FIELDY;y++)
	{
	  if (Ray[x][y]==3)
	  {
	    DrawGraphic(x,y,-1);
	    Ray[x][y]=0;
	  }
	}
      }

      DrawElement(x,y,Ray[x][y]=EL);
      BackToFront();

      count=Counter()+8;
      cntx=x;
      cnty=y;
    }
  }
}
