/***********************************************************
*  Aquarius II -- McDuffins Underwater Missions            *
*----------------------------------------------------------*
*  1995 Artsoft Development                               *
*        Holger Schemel                                    *
*        33659 Bielefeld-Senne                             *
*        Telefon: (0521) 493245                            *
*        eMail: aeglos@valinor.owl.de                      *
*               aeglos@uni-paderborn.de                    *
*               q99492@pbhrzx.uni-paderborn.de             *
*----------------------------------------------------------*
*  game.h                                                  *
*                                                          *
*  Letzte Aenderung: 15.06.1995                            *
***********************************************************/

#ifndef GAME_H
#define GAME_H

#include "main.h"


BOOL CreateNewLevelFile(void);
BOOL CreateNewScoreFile(void);
BOOL CreateNewNamesFile(void);
void LoadLevel(int);
void LoadScore(int);
void LoadNames(void);
void SaveLevel(int);
void SaveScore(int);
void SaveNames(void);
void GetPlayerName(void);
void GetPlayerConfig(void);
void DrawLevel(void);
void InitGame(void);
void GameWon(void);
BOOL NewHiScore(void);
void ColorCycling(void);
int GameActions(int, int, int);
void WasserFliesst(int, int, int);
void WasserSteigt(void);
void RestoreWaterFlood(int, int);
void RestoreWaterPool(int, int);
void RestoreWater(int, int);
void MoveFigure(int, int);
int SetBlock(int, int);

#endif
