/***********************************************************
*  Aquarius II -- McDuffins Underwater Missions            *
*----------------------------------------------------------*
*  1995 Artsoft Development                               *
*        Holger Schemel                                    *
*        33659 Bielefeld-Senne                             *
*        Telefon: (0521) 493245                            *
*        eMail: aeglos@valinor.owl.de                      *
*               aeglos@uni-paderborn.de                    *
*               q99492@pbhrzx.uni-paderborn.de             *
*----------------------------------------------------------*
*  sound.c                                                 *
*                                                          *
*  Letzte Aenderung: 15.06.1995                            *
***********************************************************/

#ifndef SOUND_H
#define SOUND_H

#include "global.h"

#define BLOCKSIZE 1024

#ifdef _HPUX_SOURCE
#include <sys/audio.h>
#undef  BLOCKSIZE
#define BLOCKSIZE 32768
#endif /* _HPUX_SOURCE */

struct SoundHeader
{
  unsigned long magic;
  unsigned long hdr_size;
  unsigned long data_size;
  unsigned long encoding;
  unsigned long sample_rate;
  unsigned long channels;
};

struct SoundInfo
{ 
  char *name;
  char *buf;
  unsigned long len;
} Sound[NUM_SOUNDS];

struct SoundCtrl
{
  int nr;
  int channel;
  BOOL loop;
  BOOL stop;
};

void SoundEventLoop(void);
void PlaySound(int, int, int);
void StopSound(int);
void StopSounds(void);
void FadeSound(int);
BOOL LoadSound(int);
void FreeSounds(void);

#endif
