/***********************************************************
*  Aquarius II -- McDuffins Underwater Missions            *
*----------------------------------------------------------*
*  1995 Artsoft Development                               *
*        Holger Schemel                                    *
*        33659 Bielefeld-Senne                             *
*        Telefon: (0521) 493245                            *
*        eMail: aeglos@valinor.owl.de                      *
*               aeglos@uni-paderborn.de                    *
*               q99492@pbhrzx.uni-paderborn.de             *
*----------------------------------------------------------*
*  tools.h                                                 *
*                                                          *
*  Letzte Aenderung: 15.06.1995                            *
***********************************************************/

#ifndef TOOLS_H
#define TOOLS_H

#include "main.h"
#include "game.h"
#include "misc.h"
#include "screens.h"

#include <sys/time.h>

#define OpenDoor(b) MoveDoor(b,1)
#define CloseDoor(b) MoveDoor(b,0)

void BackToFront();
void ClearWindow();
void DrawText(int, int, char *, int, int);
void DrawTextExt(Drawable, GC, int, int, char *, int, int);
void DrawGraphic(int, int, int);
void DrawGraphicExt32(Drawable, GC, int, int, int);
void DrawGraphic32(int, int, int);
void DrawGraphicExt(Drawable, GC, int, int, int);
void DrawElement(int, int, int);
void DrawElementThruMask(int, int, int);
void DrawMicroElement(int, int, int);
void DrawMicroLevel(int, int);
void DrawWater(int, int, int);
BOOL AreYouSure(char *, int);
void MoveDoor(int, int);
long mainCounter(int);
long Counter(void);
long Counter2(void);
void InitCounter(void);
void WaitCounter(long);
void WaitCounter2(long);
void Delay(long);
BOOL DelayReached(long *, int);
int ReadPixel(Drawable, int, int);
void SetRGB(unsigned long, unsigned short, unsigned short, unsigned short);
int el2gfx(int);
void LoadJoystickData(void);
void SaveJoystickData(void);
void CheckJoystickData(void);
int JoystickPosition(int, int, int);
int Joystick(void);
int JoystickButton(void);
void CalibrateJoystick(void);

#endif
